#!/bin/sh

# Clean up PATH for security reasons.
PATH=/bin:/usr/bin

# Work out where we are run from.
pwd=$0;
urlpwd=`echo $pwd | sed 's#/opt/sybhttpd/localhost.drives/\(.*\)/.*$#\1#g'`
exename=`echo $pwd | sed 's#.*/\([^/]*\)$#\1#g'`

echo "Content-type: text/html";
echo ""

cat <<EOF
<html>
<body>

<h2>
EOF

MOUNTED=`mount | grep USB_DRIVE | cut -f 1 -d " "`

if [ "$1" == "ALL" ]; then
  echo "<br>";
  for i in $MOUNTED; do
    #umount $i
    DEVNAME=`echo $i | sed  -e 's#/dev/##' --`
    usbhotplug "remove@$DEVNAME"
    echo "unmounted $i<br>"
    # give PCH some time to unmount partition...
    sleep 1s
  done;
  echo "<br>";
else
  if [ -n "$1" ]; then
    #umount $1
    DEVNAME=`echo $1 | sed  -e 's#/dev/##' --`
    usbhotplug "remove@$DEVNAME"
    echo "<br>unmounted $1<br><br>"
  fi
fi

MOUNTED=`mount | grep USB_DRIVE | cut -f 1 -d " "`

if [ -n "$MOUNTED" ]; then
  echo "Unmount USB drive(s):<br>"
  echo "<a href=\"http://localhost.drives:8883/$urlpwd/$exename?ALL\">ALL</a><br>";
  for i in $MOUNTED; do
    echo "<a href=\"http://localhost.drives:8883/$urlpwd/$exename?$i\">$i</a><br>";
  done
else
  echo "No USB drives mounted<br>";
fi

cat <<EOF

<br>
<a href="http://localhost:8883/start.cgi">EXIT</a>

</h2>
</body>
</html>
EOF

exit 0;
